AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
Image generationHiggsfield

Text to image

Submit a Soul 2 text-to-image task and obtain its task ID.

POST/higgsfield-ai/soul/v2/standard

Submit a text-to-image task. Save the returned request_id to check its status and retrieve images.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

After receiving request_id, use Get task to check its status and retrieve the image URL.

Higgsfield Soul 2 Text to imageRequest parameters of the native API.